#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'testerwidget.ui'
**
** Created: 2013-08-06T11:03:42
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "testerwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qprogressbar.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "testerwidget.ui.h"

/*
 *  Constructs a TesterWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TesterWidget::TesterWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TesterWidget" );
    setBaseSize( QSize( 500, 500 ) );
    TesterWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "TesterWidgetLayout"); 

    m_pshRun = new QPushButton( this, "m_pshRun" );

    TesterWidgetLayout->addWidget( m_pshRun, 0, 2 );

    m_pbProgress = new QProgressBar( this, "m_pbProgress" );

    TesterWidgetLayout->addMultiCellWidget( m_pbProgress, 1, 1, 0, 2 );

    m_cbSelect = new QComboBox( FALSE, this, "m_cbSelect" );
    m_cbSelect->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_cbSelect->sizePolicy().hasHeightForWidth() ) );

    TesterWidgetLayout->addWidget( m_cbSelect, 0, 1 );

    m_lbSelect = new QLabel( this, "m_lbSelect" );

    TesterWidgetLayout->addWidget( m_lbSelect, 0, 0 );

    m_lbResults = new QLabel( this, "m_lbResults" );

    TesterWidgetLayout->addMultiCellWidget( m_lbResults, 2, 2, 0, 2 );

    m_lvResults = new QListView( this, "m_lvResults" );
    m_lvResults->addColumn( tr2i18n( "Test" ) );
    m_lvResults->addColumn( tr2i18n( "Finished" ) );
    m_lvResults->addColumn( tr2i18n( "Skipped" ) );
    m_lvResults->addColumn( tr2i18n( "Failed" ) );
    m_lvResults->addColumn( tr2i18n( "xFailed" ) );
    m_lvResults->addColumn( tr2i18n( "Passed" ) );
    m_lvResults->addColumn( tr2i18n( "xPassed" ) );
    m_lvResults->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, m_lvResults->sizePolicy().hasHeightForWidth() ) );
    m_lvResults->setMinimumSize( QSize( 0, 200 ) );

    TesterWidgetLayout->addMultiCellWidget( m_lvResults, 3, 3, 0, 2 );

    m_teDetails = new QTextEdit( this, "m_teDetails" );
    m_teDetails->setMinimumSize( QSize( 600, 200 ) );
    m_teDetails->setReadOnly( TRUE );

    TesterWidgetLayout->addMultiCellWidget( m_teDetails, 4, 4, 0, 2 );
    languageChange();
    resize( QSize(622, 773).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
TesterWidget::~TesterWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TesterWidget::languageChange()
{
    setCaption( tr2i18n( "KUnitTester" ) );
    m_pshRun->setText( tr2i18n( "Run" ) );
    m_lbSelect->setText( tr2i18n( "Select a suite or module:" ) );
    m_lbResults->setText( QString::null );
    m_lvResults->header()->setLabel( 0, tr2i18n( "Test" ) );
    m_lvResults->header()->setLabel( 1, tr2i18n( "Finished" ) );
    m_lvResults->header()->setLabel( 2, tr2i18n( "Skipped" ) );
    m_lvResults->header()->setLabel( 3, tr2i18n( "Failed" ) );
    m_lvResults->header()->setLabel( 4, tr2i18n( "xFailed" ) );
    m_lvResults->header()->setLabel( 5, tr2i18n( "Passed" ) );
    m_lvResults->header()->setLabel( 6, tr2i18n( "xPassed" ) );
}

/****************************************************************************
** TesterWidget meta object code from reading C++ file 'testerwidget.h'
**
** Created: Tue Aug 6 11:03:42 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "testerwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TesterWidget::className() const
{
    return "TesterWidget";
}

QMetaObject *TesterWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TesterWidget( "TesterWidget", &TesterWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TesterWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TesterWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TesterWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TesterWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TesterWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"run", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "run()", &signal_0, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"TesterWidget", parentObject,
	slot_tbl, 1,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TesterWidget.setMetaObject( metaObj );
    return metaObj;
}

void* TesterWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TesterWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

// SIGNAL run
void TesterWidget::run()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

bool TesterWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TesterWidget::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: run(); break;
    default:
	return QWidget::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool TesterWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TesterWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
